/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

#ifndef INC_UGLY_DIALOG
#define INC_UGLY_DIALOG

#include <atlbase.h>
#include <atlwin.h>
#include "../libp4gt/libp4gt_rc.h"
#include "Dialog.h"

/*
 * UglyDialog - base class for ugly dialog box.
 */

class UglyDialog: public CDialogImpl<UglyDialog> {

public:

   BEGIN_MSG_MAP(UglyDialog)
   END_MSG_MAP()


	/*
	 * Constructor
	 *
	 * win - Handle of parent window.
	 */
	UglyDialog( HWND win ) { this->win = win; }
	~UglyDialog() 			{ 		}

	enum { IDD = IDD_UGLY_DIALOG };


	/*
	 * Initialize ugly dialog.
	 */
	void					InitDialog();

private:

	/*
	 * Handle to Photoshop CS4 main window
	 */
	HWND					win;
};

#endif

